/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011, Red Hat, Inc. and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

/*
 * 15/07/13 - Change notice:
 * This file has been modified by Mobius Software Ltd.
 * For more information please visit http://www.mobius.ua
 */

package ua.mobius.media.hardware.dahdi;

import org.mobicents.protocols.stream.api.SelectorKey;
import org.mobicents.protocols.stream.api.Stream;
import org.mobicents.protocols.stream.api.StreamSelector;

/**
 *
 * @author kulikov
 */
public class SelectorKeyImpl implements SelectorKey {

    private boolean isValid;
    private boolean isReadable;
    private boolean isWritable;
    
    private Channel channel;
    private Selector selector;
    
    private Object attachment;
    
    protected SelectorKeyImpl(Channel channel, Selector selector) {
        this.channel = channel;
        this.selector = selector;
    }
    
    public boolean isValid() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public boolean isReadable() {
        return isReadable;
    }

    public boolean isWriteable() {
        return isWritable;
    }

    public Stream getStream() {
        return channel;
    }

    public StreamSelector getStreamSelector() {
        return selector;
    }

    public void cancel() {
        selector.unregister(channel);
    }

    public void attach(Object obj) {
        this.attachment = obj;
    }

    public Object attachment() {
        return this.attachment;
    }

}
